package stackjava.com.httpclientpost.demo;

import java.io.IOException;
import java.util.ArrayList;
import java.util.List;

import org.apache.commons.io.IOUtils;
import org.apache.http.HttpResponse;
import org.apache.http.NameValuePair;
import org.apache.http.client.ClientProtocolException;
import org.apache.http.client.entity.UrlEncodedFormEntity;
import org.apache.http.client.methods.HttpPost;
import org.apache.http.impl.client.CloseableHttpClient;
import org.apache.http.impl.client.HttpClients;
import org.apache.http.message.BasicNameValuePair;

public class DemoBacicPost {
	public static void main(String[] args) throws ClientProtocolException, IOException {
		CloseableHttpClient client = HttpClients.createDefault();
		HttpPost httpPost = new HttpPost("http://localhost:8080/basic-post");
		List<NameValuePair> params = new ArrayList<NameValuePair>();
		params.add(new BasicNameValuePair("username", "kai"));
		params.add(new BasicNameValuePair("password", "stackjava.com"));
		httpPost.setEntity(new UrlEncodedFormEntity(params));
		HttpResponse httpResponse = client.execute(httpPost);
		
	    System.out.println("Protocol: " + httpResponse.getProtocolVersion());
	    System.out.println("Status:" + httpResponse.getStatusLine().toString());
	    System.out.println("Content type:" + httpResponse.getEntity().getContentType());
	    System.out.println("Locale:" + httpResponse.getLocale());
	    System.out.println("Content:");
	    String content = IOUtils.toString(httpResponse.getEntity().getContent(), "UTF-8");
	    System.out.println("--------------------------------------------------------");
	    System.out.println(content);

	}
}
